<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<XMLDefinition Generator="Iron Speed Designer" Version="5.2" Type="GENERIC">
  <ColumnDefinition>
    <Column InternalName="0" Priority="1" ColumnNum="0">
      <columnName>ProductID</columnName>
      <columnUIName Source="Database">Product ID</columnUIName>
      <columnType>Number</columnType>
      <columnDBType>Long Integer</columnDBType>
      <columnLengthSet>10.0</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>Y</columnIndex>
      <columnUnique>Y</columnUnique>
      <columnFunction>notrim</columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>Y</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>Y</columnComputed>
      <columnIdentity>Y</columnIdentity>
      <columnReadOnly>Y</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>Y</columnNotNull>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
    </Column>
    <Column InternalName="1" Priority="2" ColumnNum="1">
      <columnName>ProductName</columnName>
      <columnUIName Source="Database">Product Name</columnUIName>
      <columnType>String</columnType>
      <columnDBType>Text</columnDBType>
      <columnLengthSet>40</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>Y</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>Y</columnRequired>
      <columnNotNull>Y</columnNotNull>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
    </Column>
    <Column InternalName="2" Priority="3" ColumnNum="2">
      <columnName>SupplierID</columnName>
      <columnUIName Source="Database">Supplier</columnUIName>
      <columnType>Number</columnType>
      <columnDBType>Long Integer</columnDBType>
      <columnLengthSet>10.0</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>Y</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>notrim</columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <foreignKey>
        <columnFKName>SuppliersProducts</columnFKName>
        <columnFKTable>Suppliers</columnFKTable>
        <columnFKOwner>
        </columnFKOwner>
        <columnFKColumn>SupplierID</columnFKColumn>
        <columnFKColumnDisplay>CompanyName</columnFKColumnDisplay>
        <foreignKeyType>Explicit</foreignKeyType>
      </foreignKey>
    </Column>
    <Column InternalName="3" Priority="4" ColumnNum="3">
      <columnName>CategoryID</columnName>
      <columnUIName Source="Database">Category</columnUIName>
      <columnType>Number</columnType>
      <columnDBType>Long Integer</columnDBType>
      <columnLengthSet>10.0</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>Y</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>notrim</columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <foreignKey>
        <columnFKName>CategoriesProducts</columnFKName>
        <columnFKTable>Categories</columnFKTable>
        <columnFKOwner>
        </columnFKOwner>
        <columnFKColumn>CategoryID</columnFKColumn>
        <columnFKColumnDisplay>CategoryName</columnFKColumnDisplay>
        <foreignKeyType>Explicit</foreignKeyType>
      </foreignKey>
    </Column>
    <Column InternalName="4" Priority="5" ColumnNum="4">
      <columnName>QuantityPerUnit</columnName>
      <columnUIName Source="Database">Quantity Per Unit</columnUIName>
      <columnType>String</columnType>
      <columnDBType>Text</columnDBType>
      <columnLengthSet>20</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
    </Column>
    <Column InternalName="5" Priority="6" ColumnNum="5">
      <columnName>UnitPrice</columnName>
      <columnUIName Source="Database">Unit Price</columnUIName>
      <columnType>Currency</columnType>
      <columnDBType>Currency</columnDBType>
      <columnLengthSet>19.4</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>0</columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <columnFormat Source="Database">$#,##0.00;($#,##0.00)</columnFormat>
    </Column>
    <Column InternalName="6" Priority="7" ColumnNum="6">
      <columnName>UnitsInStock</columnName>
      <columnUIName Source="Database">Units In Stock</columnUIName>
      <columnType>Number</columnType>
      <columnDBType>Integer</columnDBType>
      <columnLengthSet>5.0</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>0</columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <columnFormat Source="Database">G</columnFormat>
    </Column>
    <Column InternalName="7" Priority="8" ColumnNum="7">
      <columnName>UnitsOnOrder</columnName>
      <columnUIName Source="Database">Units On Order</columnUIName>
      <columnType>Number</columnType>
      <columnDBType>Integer</columnDBType>
      <columnLengthSet>5.0</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>0</columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <columnFormat Source="Database">G</columnFormat>
    </Column>
    <Column InternalName="8" Priority="9" ColumnNum="8">
      <columnName>ReorderLevel</columnName>
      <columnUIName Source="Database">Reorder Level</columnUIName>
      <columnType>Number</columnType>
      <columnDBType>Integer</columnDBType>
      <columnLengthSet>5.0</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>0</columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <columnFormat Source="Database">G</columnFormat>
    </Column>
    <Column InternalName="9" Priority="10" ColumnNum="9">
      <columnName>Discontinued</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>Boolean</columnType>
      <columnDBType>Yes/No</columnDBType>
      <columnLengthSet>2</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>=No</columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>Y</columnRequired>
      <columnNotNull>Y</columnNotNull>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <columnFormat Source="Database">Yes,No</columnFormat>
    </Column>
  </ColumnDefinition>
  <TableName>Products</TableName>
  <Version>
  </Version>
  <Owner />
  <TableCodeName>Products</TableCodeName>
  <TableAliasName>Products_</TableAliasName>
  <ConnectionName>DatabaseTrainingSouthwind.mdb1</ConnectionName>
  <canCreateRecords Source="Database">Y</canCreateRecords>
  <canEditRecords Source="Database">Y</canEditRecords>
  <canDeleteRecords Source="Database">Y</canDeleteRecords>
  <canViewRecords Source="Database">Y</canViewRecords>
  <AppShortName>Training1</AppShortName>
</XMLDefinition>